#include <iostream>
#include <fstream>
using namespace std;
int main()
{
     ifstream f1("timmax.inp");
     long n,dem=0,tong=0,max1,b;
     f1>>n;
     long a[n];
     for(long i=1;i<=n;i++){
        f1>>a[i];
     }
     max1=a[1];
     for(long j=1;j<=n;j++){
        if(max1<a[j]){
            max1=a[j];
            b=j;
        }
     }
     f1.close();
     ofstream f2("timmax.out");
     f2<<max1<<endl;
     f2<<b;
     f2.close();
     return 0;
}
